## software-center 4.0

=== debian/changelog ===
software-center (4.0) natty; urgency=low

  [ Gary Lasker ]
  * softwarecenter/view/softwarepane.py:
    - display the offer to add an application to the launcher
      for the duration of the time that the details view
      is showing (LP: #765389)
  
  [ Michael Vogt ]
  * test/test_unity_launcher_integration.py:
    - update tests
  * update version number for natty-final

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 20 Apr 2011 14:03:25 +0200

software-center (3.1.26.8) natty; urgency=low

  * softwarecenter/log.py:
    - deal with not accessible ~/.cache/software-center directory
      (LP: #688682)
  * softwarecenter/paths.py:
    - check for SUDO_USER before xdg is imported, otherwise the
      check has no effect (LP: #688682)
  * softwarecenter/{paths,enums}.py, utils/update-software-center-agent:
    - remove unneeded xdg.BaseDirectory import
  * utils/update-software-center-agent, softwarecenter/enums.py:
    - remove unused imports, make imports explicit (thanks pyflakes)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 19 Apr 2011 20:31:31 +0200

software-center (3.1.26.7) natty; urgency=low

  [ Michael Vogt ]
  * utils/submit_review.py:
    - add missing gettext call
  * softwarecenter/view/widgets/reviews.py:
    - fix i18n for strings in class data

  [ Gary Lasker ]
  * softwarecenter/backend/channel.py:
    - don't display private PPA sources for purchased
      items (LP: #748459)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 18 Apr 2011 18:15:38 +0200

software-center (3.1.26.6) natty; urgency=low

  [ Gary Lasker ]
  * utils/submit_review.py,
    softwarecenter/view/softwarepane.py:
    - string fixes for translation (LP: #762893)
  * po/software-center.pot:
    - refresh .pot file 
  * softwarecenter/backend/restfulclient.py,
    softwarecenter/utils.py,
    softwarecenter/view/appdetailsview.py:
    - use more robust get_language method in utils.py,
      fixes crash when getting the default language (LP: #753211)
  * softwarecenter/distro/Ubuntu.py:
    - don't crash if we can't get the icon url (LP: #719146) 
  
  [ Michael Vogt ]
  * utils/get_reviews_helper.py, utils/get_review_stats_helper.py:
    - do not crash on broken pipe errors (LP: #761775, #761502)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 18 Apr 2011 10:45:55 +0200

software-center (3.1.26.5) natty; urgency=low

  * softwarecenter/backend/aptd.py:
    - do not crash if trans.error is None (LP: #761642)
  * softwarecenter/view/appdetailsview_gtk.py, 
    softwarecenter/view/appdetailsview.py:
    - fix flickering during purchase install by more carefully 
      checking if the app just became availalbe
  * utils/get_reviews_helper.py, utils/get_review_stats_helper.py:
    - fix crash when the server returns a API error (LP: #761452)
    - fix pyflakes warnins
  * softwarecenter/db/reviews.py:
    - ensure pkgname is a str (and not unicode), otherwise 
      glib.spawn_async crashes (LP: #761357)
  * softwarecenter/backend/zeitgeist_simple.py:
    - do not crash if a zeitgeist has no subjects (LP: #761905)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 15 Apr 2011 18:28:15 +0200

software-center (3.1.26.4) natty; urgency=low

  * softwarecenter/backend/aptd.py:
    - do not crash if a-x-i is not installed (LP: #760090)
  * softwarecenter/view/appdetailsview_gtk.py, 
    softwarecenter/view/softwarepane.py:
    - fixes in the i18n handling (LP: #760807)
  * softwarecenter/db/reviews.py:
    - in get_review() do not use the untranslate appname, we only need 
      the pkgname (may fix #761357)
    - improve error reporting if the get_reviews_helper fails
      (to fix #761357)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 15 Apr 2011 11:31:21 +0200

software-center (3.1.26.3) natty; urgency=low

  [ Michael Vogt ]
  * softwarecenter/db/reviews.py:
    - do not crash on multiple origins for the same version
      (LP: #756415)
  * softwarecenter/db/application.py:
    - ensure docid is updated on database reopen() (LP: #757054)
  * softwarecenter/models/appstore.py:
    - refresh docids in active searches if the database is reopend
      (LP: #710920)
  * softwarecenter/backend/aptd.py:
    - do not run update-apt-xapian-index in --update mode to avoid
      in-place database modfications (LP: #507836)
  * test/test_load_icons.py:
    - add test for the icon loader
  * merged lp:~glatzor/software-center/force-bad-quality, this 
    fixes the missing ability to override the lintian warning
    (LP: #712377)
  * don't show reviews if we can't determine the origin
  * fix crash when enabling new components (LP: #636429)
  * fix missing details when a channel or a component just got added

  [ Gary Lasker ]
  * softwarecenter/app.py:
    - temporarily disable the deauth option until we have support
      for remove repository in aptdaemon (see LP: #723911)
  * softwarecenter/backend/aptd.py :
    - fix empty error dialog for the case where aptdaemon returns
      an error code with no value (LP: #747172)
    - fix intermittent crash when updating the a-x-i (LP: #657494)
  * softwarecenter/models/viewswitcherlist.py:
    - mark string "In Progress..." for translation, many thanks to
      Hendrik Knackstedt and Florian Greinus for finding this
      (LP: #759240)
  * softwarecenter/view/catview_gtk.py:
    - fix broken translation string (LP: #758656)
  * refresh .pot file 
  * softwarecenter/db/update.py:
    - fix crash when reinstalling previous purchases (LP: #760353) 

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 14 Apr 2011 19:59:42 +0200

software-center (3.1.26.2) natty; urgency=low

  [ Michael Vogt ]
  * softwarecenter/db/update.py:
    - do not crash if /var/lib/apt-xapian-index/cataloged_times.p can
      not be read (LP: #636049)
  * merged lp:~mvo/software-center/get-reviews-subprocess (LP: #743020):
    - don't use multiprocessing anymore, instead glib.spawn_async()
      a helper app, this finally fixes the crashes with accessibility
      turned on (LP: #743020)

