=== debian/changelog ===
software-center (4.0.5ubuntu0.1) natty-security; urgency=low

  * SECURITY UPDATE: MITM via incorrect ssl cert validation (LP: #874242)
    - softwarecenter/view/purchaseview.py: Set the ssl-ca-file libsoup
      property so ssl cert validation works.
    - CVE-2011-3150

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 18 Nov 2011 08:36:12 -0500

software-center (4.0.5) natty-proposed; urgency=low

  [ Aaron Peachey ]
  * softwarecenter/view/appdetailsview_gtk.py,
    softwarecenter/view/widgets/reviews.py:
    - fix duplication of reviews upon submitting a new
      review, completes the fix for LP: #794060

  [ Gary Lasker ]
  * softwarecenter/utils.py,
    softwarecenter/backend/aptd.py,
    test/test_software_channels.py:
    - obfuscate private ppa details in the error log output and in
      the error dialog itself, add corresponding unit test
      (LP: #807745)
  * merge lp:~evfool/software-center/nonetworkfixes, fixes two menu
    item network state bugs, many thanks to Robert Roth
    (LP: #802919, LP: #802920) 

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 13 Jul 2011 14:24:50 +0200

software-center (4.0.4) natty-proposed; urgency=low

  [ Aaron Peachey ]
  * utils/submit_review.py:
    - ensure error message shows if usefulness submit 
      fails (LP: #790450)
  * softwarecenter/view/widgets/reviews.py:
    - fix disappearing usefulness UI on clicking 'OK' after error
  * softwarecenter/db/reviews.py,
    softwarecenter/view/appdetailsview_gtk.py,
    softwarecenter/view/widgets/reviews.py:
    - fix duplication of reviews after user has submitted
      usefulness or flagged a review (LP: #794060)

  [ Gary Lasker ]
  * softwarecenter/app.py,
    softwarecenter/view/softwarepane.py:
    - fix issue where the background image for installed channels
      details view is not consistently rendered (LP: #724724) 

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 10 Jun 2011 18:22:41 +0200

software-center (4.0.3) natty-proposed; urgency=low

  [ Gary Lasker ]
  * softwarecenter/app.py:
    - expand the "Get Software" item in the viewswitcher by default
      so that its subitems are always visible and available
      (LP: #774590)
  * softwarecenter/view/availablepane.py,
    softwarecenter/view/catview_gtk.py:
    - jumpstart Featured and What's New carousel transitions
      on launch (LP: #786403) 
  
  [ Michael Vogt ]
  * merge lp:~mvo/software-center/4.0-pagination to properly 
    support pagination (LP: #788688)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 26 May 2011 17:55:10 +0200

software-center (4.0.2) natty-proposed; urgency=low

  [ Gary Lasker ]
  * softwarecenter/utils.py,
    test/test_unity_launcher_integration.py:
    - fix intermittent crash when installing a local .deb,
      add corresponding test case (LP: #768158)
  * softwarecenter/db/reviews.py,
    test/test_reviews.py:
    - sort reviews using upstream package versions to fix
      incorrect sort by usefulness, update unit test
      (LP: #777583)
  
  [ Michael Vogt ]
  * softwarecenter/db/reviews.py:
    - fix review-stats loading (LP: #776706)
  * merged lp:~evfool/software-center/qfix774201, many thanks
    to Robert Roth (fixes LP: #774201)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 17 May 2011 16:04:01 +0200

software-center (4.0.1) natty-proposed; urgency=low

  [ Michael Vogt ]
  * debian/control:
    - point to 4.0 bzr branch
  * merged lp:~mmcg069/software-center/Bug635994, many thanks
    (LP: #635994)
  * utils/submit_review.py:
    - fix missing translation  (LP: #770439)
  * utils/submit_review.py:
    - improve logging on SSO failure (LP: #773214)
    - do not translate "appname" as ubuntu-sso-login will fail
      for translated names with utf8 chars (LP: #773214)
  * softwarecenter/db/reviews.py:
    - apply review sorting (LP: #773289)
  * softwarecenter/app.py:
    - do not translate "appname" as ubuntu-sso-login will fail
      for translated names with utf8 chars (LP: #773214)
  
  [ Gary Lasker ]
  * lp:~gary-lasker/software-center/translation-fixes-lp770439:
    - fix translation not showing up (LP: #770439)
  * softwarecenter/view/appdetailsview_gtk.py,
    softwarecenter/view/widgets/reviews.py,
    test/test_appdetails_view.py:
    - enable writing a review immediately after the package
      installation is complete, add test case (LP: #769439) 

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 29 Apr 2011 16:40:32 +0200
