=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                python-scour
 Standards-Version: 3.8.4
 XS-Python-Version: current
-Vcs-Bzr: https://code.launchpad.net/~software-store-developers/software-center/trunk
+Vcs-Bzr: https://code.launchpad.net/~software-store-developers/software-center/4.0
 Homepage: https://launchpad.net/software-center
 
 Package: software-center
