## software-center 4.0.7

=== debian/changelog ===
software-center (4.0.7) natty-proposed; urgency=low

  * lp:~gary-lasker/software-center/icon-data-for-4.0:
    - remove the need for inline icon data from the agent, instead
      download icons directly using the provided URL (LP: #914054) 

 -- Gary Lasker <gary.lasker@canonical.com>  Wed, 11 Jan 2012 18:25:49 -0500

software-center (4.0.6) natty-proposed; urgency=low

  * cherry pick fix to allow webkit to create additional windows
    during the purchase - this is needed to support PayPal in the
    purchase process (LP: #893988)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 23 Nov 2011 13:29:15 +0100
