=== debian/changelog ===
software-center (5.0.1.4) oneiric; urgency=low

  * softwarecenter/ui/gtk3/widgets/apptreeview.py:
    - do not crash if self.appmodel is not available yet (LP: #869699)
  * softwarecenter/db/update.py:
    - fix missing i18n lookup for app-install-data (LP: #869851)
  * merge po/help from rosetta to ensure that the translated 
    manual is there, this is not delivered via langpacks
    (LP: #869935)
  * test/test_database.py:
    - use sc.staging.ubuntu.com for the testing of the license 
      string data
  * softwarecenter/db/application.py:
    - fix missing i18n for license send from the software-center-agent
      server

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 07 Oct 2011 16:24:53 +0200

software-center (5.0.1.3) oneiric; urgency=low

  [ Gary Lasker ]
  * softwarecenter/ui/gtk3/panes/pendingpane.py:
    - be more robust about errors when cancelling a transaction
      from the pending pane (LP: #861129)
  * softwarecenter/ui/gtk3/app.py:
    - fix crash in on_menu_edit_activate() (LP: #861862) 
  * softwarecenter/ui/gtk3/panes/installedpane.py:
    - fix crash in _row_visibility_func() (LP: #834893) 
  * softwarecenter/ui/gtk3/views/appview.py:
    - fix crash in display_matches() (LP: #843795) 
  
  [ Michael Vogt ]
  * softwarecenter/ui/gtk3/widgets/buttons.py:
    - fix incorrect i18n for the "More" button in the main screen
      (LP: #868952), thanks to David Planella
  * softwarecenter/db/categories.py:
    - fix regression when reading translated category names for
      directory types with no X-Ubuntu-Gettext-Domain (LP: #868963)

  [ Gabor Kelemen ]
  * Translate Our star apps heading on the list of the star apps. 
    LP: #869038

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 06 Oct 2011 14:35:02 +0200

software-center (5.0.1.2) oneiric; urgency=low

  * softwarecenter/ui/gtk3/widgets/exhibits.py:
    - force no line wrap for the header (LP: #867821)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 05 Oct 2011 18:22:28 +0200

software-center (5.0.1.1) oneiric; urgency=low

  * softwarecenter/db/application.py:
    - fix crash when installing a standalone deb (LP: #868333)

 -- Gary Lasker <gary.lasker@canonical.com>  Wed, 05 Oct 2011 11:07:40 -0400

software-center (5.0.1) oneiric; urgency=low

  [ Michael Vogt ]
  * softwarecenter/ui/gtk3/widgets/reviews.py:
    - Fix i18n bug in the error string for the reviews. This 
      adds two new strings for a rare error message in the UI that 
      was previously not translatable. Thanks to David Planella
  * softwarecenter/db/database.py:
    - when adding a new database (e.g. on reinstall-previous purchases)
      trigger a "reopen" to ensure that the db docids are reinitialized
  * apt-xapian-index-plugin/software-center.py:
    - do not crash if a apt.Package.candidate has no url (LP: #819907)
  * softwarecenter/ui/gtk3/views/catview_gtk.py:
    - only show the frame with new apps if we actually have information
      about new applications (LP: #862382)

  [ Robert Roth ]
  * softwarecenter/ui/gtk3/widgets/apptreeview.py:
    - fix crash in clear_model() (LP: #863233)

  [ Gary Lasker ]
  * debian/control:
    - add dependency on python-gobject-cairo to prevent crash
      at startup (LP: #829067) 
  * softwarecenter/db/application.py,
    softwarecenter/db/update.py,
    softwarecenter/distro/Ubuntu.py,
    softwarecenter/enums.py:
    - display the correct license type for commercial apps as
      specified via the software-center-agent (LP: #864706)

  [ Matthew McGowan ]
  * lp:~mmcg069/software-center/bug855666:
    - add missing linewrap (LP: #855666)
  * lp:~mmcg069/software-center/bug858639 :
    - fix crash when data can not be parsed from the remote reviews server
      LP: #858639

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 05 Oct 2011 11:24:05 +0200

software-center (5.0) oneiric; urgency=low

  [ Gary Lasker ]
  * softwarecenter/ui/gtk3/views/appdetailsview.py,
    softwarecenter/ui/gtk3/views/appdetailsview_gtk.py,
    softwarecenter/ui/gtk3/widgets/reviews.py,
    utils/submit_review_gtk3.py:
    - restore the ability to edit or delete your own
      review (LP: #861999)
  * softwarecenter/db/application.py:
    - fix TypeError in __init__ (LP: #825729)
  * softwarecenter/ui/gtk3/views/appdetailsview_gtk.py:
    - fix crash in _get_app_icon_xy_position_on_screen (LP: #843565)
  * softwarecenter/ui/gtk3/panes/softwarepane.py:
    - fix UnicodeDecodeError in on_add_to_launcher (LP: #835337)

  [ Michael Vogt ]
  * add support for license keys in $HOME
  * set correct version number
  * utils/submit_review_gtk3.py:
    - translate app name in review title, thanks to Gabor Kelemen 
      (LP: #782146)
  * softwarecenter/backend/reviews.py:
    - leave the review sorting to the server now that the rnr-server
      is deployed that sorts properly by wilson_score
  * fix None vs "" crashes
  * fix another dbus exception when a tid vanishes (LP: #848676), thanks
    to Marc Deslauriers 

  [ Kiwinote ]
  * softwarecenter/distro/Ubuntu.py:
    - display canonical support text again (LP: #862388)
      (no new strings - there was just some 'if False, display the text' code)

  [ Matthew McGowan ]
  * data/ui/gtk3/dialogs.ui:
    - fix incorrect sizing of dialogs (LP: #825959, LP: #844014)
  * display 'where is it' command line helper for installed apps with
    no desktop_files even when unity is running.'
  * set a minimum size for the CategoryTile so all english category 
    names fit to two lines (Computer Science and Robotics took 3 lines 
    to display).
  * softwarecenter/ui/gtk3/views/appdetailsview_gtk.py:
    - cleanup dead code

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 29 Sep 2011 20:45:22 +0200

software-center (4.1.23.7) oneiric; urgency=low

  [ Gary Lasker ]
  * softwarecenter/backend/installbackend_impl/aptd.py:
    - fix UnicodeDecodeError in _show_transaction_failed_dialog
      (LP: #858193)
  * softwarecenter/backend/installbackend.py,

