## software-center 5.0.2ubuntu0.1

=== debian/changelog ===
software-center (5.0.2ubuntu0.1) oneiric-security; urgency=low

  * SECURITY UPDATE: MITM via incorrect ssl cert validation (LP: #874242)
    - softwarecenter/ui/gtk3/views/purchaseview.py: Set the ssl-ca-file
      libsoup property so ssl cert validation works.
    - CVE-2011-3150

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 18 Nov 2011 08:29:21 -0500

software-center (5.0.2) oneiric-proposed; urgency=low

  [ Matthew McGowan ]
  * lp:~mmcg069/software-center/bug861778:
    - improved method, use less widgets and fix case where user 
      changes sort method in a search results list (LP: #861778)
  * lp:~mmcg069/software-center/dialog-improvements:
    - improve the widget packing of the submit_review dialog
    - make the dialog-dep-warning dialog neither closable or maximisable
      as per bug LP: #844025
    - make dialog-dependency-alert dialog use a gtkgrid instead of 
      gtktable to fix overly big spacing
  * lp:~mmcg069/software-center/container-frame-render-fix:
    - remove the use a clip -> provide a fix for blurry font 
      rendering LP: #864855
  
  [ Michael Vogt ]
  * test/gtk3/test_appview.py:
    - add regression test for bug #861778
  * test/gtk3/test_dialogs.py:
    - add basic test for dependency dialogs
  * softwarecenter/ui/gtk3/dialogs/dependency_dialogs.py:
    - simplfy test setup code
  * softwarecenter/backend/channel_impl/aptchannels.py:
    - delay channel update check 10s to improve startup time
  * softwarecenter/ui/gtk3/widgets/exhibits.py:
    - add workaround for rendering bug of the webkit offscreen window
      that leaves a 8px border around the image
  * debian/control:
    - update Vcs-Bzr to point to the 5.0 branch
    - add "lzma" to the recommends to ensure that opening opera and
      chrome debs works (LP: #868188). python-apt is expecting to
      have a helper that can be called with "lzma -d" to open these
      debs.

  [ Kiwinote ]
  * softwarecenter/db/update.py,
    softwarecenter/enums.py,
    softwarecenter/ui/gtk3/models/appstore2.py:
    - make apps from the canonical store appear in the categories (LP: #874330)
  * softwarecenter/ui/gtk3/panes/availablepane.py:
    - when search is cleared, don't navigate back to lobby if we're in a
      channel view (LP: #875786)
  * softwarecenter/ui/gtk3/panes/viewswitcher.py:
    - don't inherit state.category or state.subcategory upon channel selection
  * softwarecenter/ui/gtk3/views/appdetailsview_gtk.py:
    - fix UnicodeDecodeError in _update_pkg_info_table() (LP: #868834)
      this indirectly makes banners work again in certain locales (LP: #873078)
  
  [ Robert Roth ]
  * Only catch button release in exhibit if button was also pressed on
    exhibit (LP: #875043)

  [ Gary Lasker ]
  * softwarecenter/db/update.py:
    - fix reinstall previous purchases functionality for locales
      that require unicode (LP: #873917) 
  * setup.py:
    - force 11.10 as the release as this is the target
      version of 5.0

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 18 Oct 2011 17:43:01 +0200

software-center (5.0.1.5) oneiric-proposed; urgency=low

  [ Robert Roth ]
  * lp:~evfool/software-center/fixlp870595:
    - Mark the For Software Developers menu item label from the Help
      menu translatable to fix bug LP: #870595.

  [ Kiwinote ]
  * softwarecenter/ui/gtk3/widgets/searchaid.py:
    - make 'no items match <searchterm>' display translated (LP: #870604)
    - fix markup error which causes spelling suggestions not to be displayed

  [ Michael Vogt ]
  * software-center:
    - fix --measure-startup-time
  
 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 12 Oct 2011 09:11:15 +0200
