=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                python-scour
 Standards-Version: 3.8.4
 X-Python-Version: >= 2.7
-Vcs-Bzr: https://code.launchpad.net/~software-store-developers/software-center/trunk
+Vcs-Bzr: https://code.launchpad.net/~software-store-developers/software-center/5.0
 Homepage: https://launchpad.net/software-center
 
 Package: software-center
@@ -50,6 +50,7 @@
             software-properties-gtk,
             sessioninstaller, 
             zeitgeist-core,
+            lzma
 Conflicts: gnome-app-install (<< 1), oneconf (<< 0.2.6.1)
 Replaces: gnome-app-install
 Provides: gnome-app-install
