=== debian/changelog ===
software-center (5.0.6) oneiric-proposed; urgency=low

  [ Gary Lasker ]
  * lp:~gary-lasker/software-center/catalog-published-date-lp803028i-for-5.0:
    - use date_published value from the software-center-agent server
      so that for-purchase items appear correctly and in the proper order
      in What's New; include corresponding unit test (LP: #803028)
  
  [ Michael Vogt ]
  * backport fix from lp:~mvo/software-center/fix-refresh-of-whats-new
    to ensure that new apps from e.g. the software-center-agent are
    immediately displayed in the "Whats new" section of the lobby
    (LP: #949725)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 08 Mar 2012 09:07:20 +0100

software-center (5.0.5) oneiric-proposed; urgency=low

  [ Gary Lasker ]
  * lp:~gary-lasker/software-center/fix-lp913756-for-5.0:
    - do not offer to add an icon to the Unity launcher for packages
      that do not have an Exec entry in their corresponding desktop
      file, e.g. ubuntu-restricted-extras, wine (LP: #913756)
  * lp:~gary-lasker/software-center/staging-certs-2-for-5.0:
    - add SOFTWARE_CENTER_FORCE_DISABLE_CERTS_CHECK to allow QA easier
      testing (LP: #918746)
  
  [ Michael Vogt ]
  * lp:~mvo/software-center/fix-server-pagination:
    - reset server side review "page" when switching to a different
      app
  * lp:~mvo/software-center/expunge-cache-5.0:
    - fix invalid httplib cache entries (LP: #938736)

  [ Kiwinote ]
  * grab exhibits for the current series only (LP: #899257)
  
 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 05 Mar 2012 19:24:38 +0100

software-center (5.0.4) oneiric-proposed; urgency=low

  [ Gary Lasker ]
  * lp:~gary-lasker/software-center/fix-lp891499-for-5.0:
    - be more robust about problems reading the cataloged_times file 
      as problems here can hang the UI (LP: #891499)
  
  [ Gabor Kelemen ]
  * lp:~kelemeng/software-center/bug869935:
    - Update help translations from Launchpad (LP: #869935)
  * lp:~kelemeng/software-center/bug880757:
    - Mark strings containing the “ character as Unicode, to fix 
      their translations. LP: #880757

  [ Michael Vogt ]
  * fix cache opening to improve startup time 
  * lp:~mvo/software-center/icon-data-for-5.0:
    - remove the need for inline icon data from the agent, instead
      download icons directly using the provided URL (LP: #914054)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 10 Jan 2012 09:52:09 +0100

software-center (5.0.3.1) oneiric-proposed; urgency=low

  * softwarecenter/ui/gtk3/views/purchaseview.py:
    - set transient parent when creating a new webview to better
      support PayPal (LP: #893988)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 24 Nov 2011 10:10:25 +0100

software-center (5.0.3) oneiric-proposed; urgency=low

  [ Michael Vogt ]
  * Improve icon extenstion detection, some iconnames are already
    without extenstion with still with a "." in the name, some are not.
    This fixes the icons display for wesnoth and xpuzzles (LP: #878707)

  [ Gary Lasker ]
  * softwarecenter/ui/gtk3/app.py:
    - fix potential dbus crash when accessing the list of previous
      purchases (LP: #863898)
  * softwarecenter/ui/gtk3/session/navhistory.py:
    - fix UnicodeDecodeError in NavigationItem __str__ (LP: #847050) 
  * softwarecenter/ui/gtk3/panes/softwarepane.py:
    - fix UnicodeDecodeError in DisplayState __str__ (LP: #873046) 
  * softwarecenter/ui/gtk3/models/pendingstore.py:
    - fix UnicodeDecodeError in _render_status_text (LP: #862029)
  * softwarecenter/distro/__init__.py:
    - fix UnicodeDecodeError in get_install_warning_text (LP: #857416)
  * softwarecenter/db/application.py:
    - fix UnicodeDecodeError in __str__ (LP: #871088)

  [ Gabor Kelemen ]
  * Fix misplaced parentheses and localize the app name
    using the app-install-data-ubuntu domain. LP: #880257
  * Display the success message properly localized. LP: #872823
  * Display failure message properly localized. LP: #872812

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 22 Nov 2011 17:48:56 +0100
