## software-center 5.1.2debian1

=== debian/changelog ===
software-center (5.1.2debian1) experimental; urgency=low

  * New upstream release (Closes: #636924)
  * Remaining differences to Ubuntu:
    - setup.cfg: Install unbranded-software-center.desktop
    - setup.py: Handle + and - in changelog version number
    - setup.py: "Correctly" build the documentation translations.
    - help: Replace Ubuntu-specific parts of the help
    - debian/control: Different maintainer,vcs,description
    - debian/control: Drop Ubuntu-specific dependencies
    - po: More up-to-date translations and adjusted German help translation
  * softwarecenter/utils.py:
    - Replace apt_pkg.URItoFileName by apt_pkg.uri_to_filename

 -- Julian Andres Klode <jak@debian.org>  Mon, 21 Nov 2011 15:44:28 +0100

software-center (5.1.2) precise; urgency=low

  [ Michael Vogt ]
  * test/test_channels.py:
    - add unit test for channels backend
  * lp:~mvo/software-center/app-treeview-buy-plus-refactor:
    - add unit test for ApplicationManager, additional tweaks
  * lp:~mvo/software-center/video-support:
    - implement the ability to display embedded videos in
      the application details view
  * softwarecenter/ui/gtk3/widgets/exhibits.py:
    - add basic error reporting for exhibits downloading

  [ Matthew McGowan ]
  * lp:~mmcg069/software-center/app-treeview-buy-plus-refactor:
    - implement the ability to initiate a purchase from the application
      list directly and display the price there, include some nice
      refactoring
  * softwarecenter/ui/gtk3/widgets/apptreeview.py:
    - make hidden rows collapse properly when unselected (LP: #888463)
  
  [ Gary Lasker ]
  * lp:~gary-lasker/software-center/unit-tests:
    - update tests for custom lists and for launcher integration
  * lp:~gary-lasker/software-center/fix-lp891499:
    - be more robust about problems reading the cataloged_times file 
      as problems here can hang the UI (LP: #891499)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 21 Nov 2011 13:45:29 +0100

software-center (5.1.1.1) precise; urgency=low

  * setup.py:
    - list sc.backend.oneconfhandler and sc.backend.reviews as packages
      this allows s-c to startup on the development release (LP: #887392)

 -- Kiwinote <kiwinote@gmail.com>  Tue, 08 Nov 2011 16:49:29 +0000

software-center (5.1.1) precise; urgency=low

  [ Matthew McGowan ]
  * fix the rtl rendering of the "more label arrow"
  * lp:~mmcg069/software-center/multi-screenshot-gallery:
    - add support for multiple screenshots for the main archive
  
  [ Nicolas Delvaux ]
  * lp:~malizor/software-center/fix-lp813803:
    - Time format in historypane: The translators comment was not 
      extracted, which led to poor translations (eg. as reported 
      in bug LP: #813803)

  [ Gabor Kelemen ]
  * lp:~kelemeng/software-center/bug875306:
    - Add translator comment: Free means Gratis, as it is used as price.
      LP: #875306
  
  [ Sebastian Heinlein ]
  * lp:~glatzor/software-center/portability:
    - improve portability
  
  [ Michael Vogt ]
  * more portability fixes
  
 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 07 Nov 2011 14:58:40 +0100

software-center (5.1.0) precise; urgency=low

  [ Matthew McGowan ]
  * lp:~mmcg069/software-center/bug861778:
    - improved method, use less widgets and fix case where user 
      changes sort method in a search results list (LP: #861778)
  * lp:~mmcg069/software-center/no-nm-net-detect:
    - improve the internet connectivity awareness if network-manager 
      is not available
  * lp:~mmcg069/software-center/bitesize:
    - convert the 'Write your own review' Gtk.Button to a Link style button
      (UI change)
  
  [ Michael Vogt ]
  * test/gtk3/test_appview.py:
    - add regression test for bug #861778
  * test/test_netstatus.py:
    - add basic test for the netstatus code

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 20 Oct 2011 18:35:14 +0200

software-center (5.0.3) UNRELEASED; urgency=low

  [ Michael Vogt ]
  * Improve icon extenstion detection, some iconnames are already
    without extenstion with still with a "." in the name, some are not.
    This fixes the icons display for wesnoth and xpuzzles (LP: #878707)

  [ Gary Lasker ]
  * softwarecenter/ui/gtk3/app.py:
    - fix potential dbus crash when accessing the list of previous
      purchases (LP: #863898)
  * softwarecenter/ui/gtk3/session/navhistory.py:
    - fix UnicodeDecodeError in NavigationItem __str__ (LP: #847050) 
  * softwarecenter/ui/gtk3/panes/softwarepane.py:
    - fix UnicodeDecodeError in DisplayState __str__ (LP: #873046) 
  * softwarecenter/ui/gtk3/models/pendingstore.py:
    - fix UnicodeDecodeError in _render_status_text (LP: #862029)
  * softwarecenter/distro/__init__.py:
    - fix UnicodeDecodeError in get_install_warning_text (LP: #857416)
  * softwarecenter/db/application.py:
    - fix UnicodeDecodeError in __str__ (LP: #871088)

  [ Gabor Kelemen ]
  * Fix misplaced parentheses and localize the app name
    using the app-install-data-ubuntu domain. LP: #880257
  * Display the success message properly localized. LP: #872823
  * Display failure message properly localized. LP: #872812

 -- Gary Lasker <gary.lasker@canonical.com>  Tue, 25 Oct 2011 14:32:59 -0400
