## software-center 5.1.2debian3.1

=== debian/changelog ===
software-center (5.1.2debian3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add synaptic dependency (closes: #691901).
  * Interpret gtk.TreeView.get_visible_range() output correctly to get the
    application "Install" button working again (closes: #691708).

 -- Michael Gilbert <mgilbert@debian.org>  Wed, 31 Oct 2012 07:21:04 +0000

software-center (5.1.2debian3) unstable; urgency=low

  * Directly apply the changes from the NMU

 -- Julian Andres Klode <jak@debian.org>  Mon, 01 Oct 2012 16:07:10 +0200

software-center (5.1.2debian2.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/patches/gst_import.patch: Wrap import of GStreamer in a
    try/except (Closes: #671768).
  * Build-depend on quilt.

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Sat, 08 Sep 2012 19:05:21 -0400

software-center (5.1.2debian2) unstable; urgency=low

  * Upload to unstable; no further changes. A newer upstream version
    will come later on, but needs a newer python-apt first.

 -- Julian Andres Klode <jak@debian.org>  Mon, 05 Mar 2012 15:59:06 +0100
