=== debian/control ===
--- 
+++ 
@@ -41,6 +41,7 @@
          policykit-1-gnome | policykit-1-kde,
          python-xdg,
          python-lazr.restfulclient,
+         synaptic,
 Recommends: lsb-release, 
             gir1.2-launchpad-integration-3.0, 
             apt-xapian-index (>= 0.38ubuntu1),
